Package org.apache.datasketches.tuple.adouble

# Class DoubleSummaryFactory

java.lang.Object
org.apache.datasketches.tuple.adouble.DoubleSummaryFactory

All Implemented Interfaces:
  `SummaryFactory<DoubleSummary>`

public final class DoubleSummaryFactory extends Object implements SummaryFactory<DoubleSummary>
Factory for DoubleSummary.

Author:
  Lee Rhodes

## Constructor Summary

Constructors
Constructor
Description
`DoubleSummaryFactory(DoubleSummary.Mode summaryMode)`
Creates an instance of DoubleSummaryFactory with a given mode

## Method Summary

Modifier and Type
Method
Description
`DoubleSummary`
`newSummary()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DoubleSummaryFactory

public DoubleSummaryFactory(DoubleSummary.Mode summaryMode)
Creates an instance of DoubleSummaryFactory with a given mode

Parameters:
  `summaryMode` - summary mode

## Method Details

### newSummary

public DoubleSummary newSummary()

Specified by:
  `newSummary` in interface `SummaryFactory<DoubleSummary>`
Returns:
  new instance of Summary